<template>
  <InfinityScroll bread-crumb="Dogs" model-name="Dog" ref="infinityData" :store="dogsStore" />
</template>

<script lang="ts" setup>
import { ref } from 'vue'
import useDogsStore from 'stores/dogs'
import InfinityScroll from 'components/InfinityScroll.vue'

const dogsStore = useDogsStore()
const infinityData = ref()

const openDialog = () => {
  infinityData.value.openDataDialog()
}

defineExpose({
  openDialog
})
</script>
